# $Revision: 1.9.2.1 $, $Date: 2003/03/13 00:56:38 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Apache
%define	pnam	CVS
Summary:	Apache::CVS - method handler provide a web interface to CVS repositories
Summary(pl):	Apache::CVS - metoda udostpniajca interfejs WWW do repozytoriw CVS
Name:		perl-Apache-CVS
Version:	0.08
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl(Apache) >= 1.27
BuildRequires:	perl-Rcs >= 1.03
%endif
Requires(post,preun):	apache
Requires(post,preun):	grep
Requires(preun):	fileutils
Requires:	apache-mod_perl >= 1.27
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Apache::CVS is a method handler that provide a web interface to CVS
repositories. Please see "CONFIGURATION" to see what configuration
options are available. To get started you'll at least need to set
CVSRoots to your local CVS Root directory.

%description -l pl
Apache::CVS to metoda obsugujca udostpniajca interfejs WWW do
repozytoriw CVS. Dostpne opcje konfiguracji mona znale w
dokumentacji pod hasem "CONFIGURATION". Na pocztku trzeba ustawi co
najmniej CVSRoots na lokalny katalog CVS Root.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd
sed -e 's/^\([^#]\)/#\1/' httpd.conf > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/perl-Apache-CVS.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/httpd/httpd.conf ] && ! grep -q "^Include.*perl-Apache-CVS.conf" /etc/httpd/httpd.conf; then
        echo "Include /etc/httpd/perl-Apache-CVS.conf" >> /etc/httpd/httpd.conf
fi
if [ -f /var/lock/subsys/httpd ]; then
        /etc/rc.d/init.d/httpd restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/httpd start\" to start apache http daemon."
fi

%preun
if [ "$1" = "0" ]; then
	umask 027
        grep -v "^Include.*perl-Apache-CVS.conf" /etc/httpd/httpd.conf > \
                /etc/httpd/httpd.conf.tmp
        mv -f /etc/httpd/httpd.conf.tmp /etc/httpd/httpd.conf
        if [ -f /var/lock/subsys/httpd ]; then
                /etc/rc.d/init.d/httpd restart 1>&2
        fi
fi

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_sitelib}/%{pdir}/*.pm
%{perl_sitelib}/%{pdir}/%{pnam}
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/httpd/perl-Apache-CVS.conf
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Apache-CVS.spec,v $
Revision 1.9.2.1  2003/03/13 00:56:38  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.9  2003/02/25 00:35:47  radek
- use the __perl macro

Revision 1.8  2003/02/18 15:25:42  ankry
- massive attack: change CPAN URLs

Revision 1.7  2003/02/09 21:28:55  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.6  2003/02/05 16:16:47  ankry
- autoupdated to 0.08

Revision 1.5  2002/11/21 16:44:41  mis
- autoupdated to 0.07

Revision 1.4  2002/10/02 12:20:05  qboosh
- pl description, release 4

Revision 1.3  2002/09/29 17:04:26  radek
- enabled configuration in httpd.conf, release 3

Revision 1.2  2002/09/29 10:55:48  radek
- added forgotten docs

Revision 1.1  2002/09/29 10:54:22  radek
- new, STBR
